org.apache.olingo.ext.proxy.commons

## Class ComplexCollectionInvocationHandler<T extends ComplexType<?>>

- java.lang.Object
- - org.apache.olingo.ext.proxy.commons.AbstractCollectionInvocationHandler<T,ComplexCollection<T,?,?>>
  - - org.apache.olingo.ext.proxy.commons.ComplexCollectionInvocationHandler<T>

- All Implemented Interfaces:
    Iterable<T>, InvocationHandler, Collection<T>

      public class ComplexCollectionInvocationHandler<T extends ComplexType<?>>
      extends AbstractCollectionInvocationHandler<T,ComplexCollection<T,?,?>>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `LOG` Logger.
    `protected AbstractService<?>` | `service`

    - ### Fields inherited from class org.apache.olingo.ext.proxy.commons.AbstractCollectionInvocationHandler

      `annotations, baseURI, itemRef, items, nextPageURI, referenceItems, uri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComplexCollectionInvocationHandler(AbstractService<?> service, Class<T> itemRef)`
    `ComplexCollectionInvocationHandler(AbstractService<?> service, Collection<T> items, Class<T> itemRef, URIBuilder uri)`
    `ComplexCollectionInvocationHandler(Class<T> itemRef, AbstractService<?> service, URIBuilder uri)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static URIBuilder` | `buildEntitySetURI(Class<?> ref, AbstractService<?> service)`
    `protected static URIBuilder` | `buildEntitySetURI(String entitySetName, AbstractService<?> service)`
    `protected <S extends EntityType<?>> void` | `deleteEntity(EntityInvocationHandler handler, URI entitySetURI)`
    `boolean` | `equals(Object obj)`
    `org.apache.commons.lang3.tuple.Triple<List<T>,URI,List<ClientAnnotation>>` | `fetchPartial(URI uri, Class<T> typeRef)`
    `protected EdmEnabledODataClient` | `getClient()`
    `protected ComplexType<?>` | `getComplex(String name, ClientValue value, Class<?> ref, EntityInvocationHandler handler, URI baseURI, boolean collectionItem)`
    `protected Context` | `getContext()`
    `int` | `hashCode()`
    `Object` | `invoke(Object proxy, Method method, Object[] args)`
    `protected Object` | `invokeSelfMethod(Method method, Object[] args)`
    `protected boolean` | `isDeleted(EntityInvocationHandler handler)`
    `protected boolean` | `isSelfMethod(Method method)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.ext.proxy.commons.AbstractCollectionInvocationHandler

      `add, addAll, addRef, clear, clearQueryOptions, contains, containsAll, execute, executeAsync, expand, filter, filter, getAnnotation, getAnnotationTerms, getRequestURI, getTypeRef, getURI, hasNextPage, isEmpty, iterator, nextPage, orderBy, orderBy, refs, remove, removeAll, retainAll, select, setAnnotations, size, skip, toArray, toArray, top`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `equals, hashCode, parallelStream, removeIf, spliterator, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Field Detail

    - #### LOG

          protected static final org.slf4j.Logger LOG

      Logger.

    - #### service

          protected AbstractService<?> service

  - ### Constructor Detail

    - #### ComplexCollectionInvocationHandler

          public ComplexCollectionInvocationHandler(AbstractService<?> service,
                                                    Class<T> itemRef)

    - #### ComplexCollectionInvocationHandler

          public ComplexCollectionInvocationHandler(Class<T> itemRef,
                                                    AbstractService<?> service,
                                                    URIBuilder uri)

    - #### ComplexCollectionInvocationHandler

          public ComplexCollectionInvocationHandler(AbstractService<?> service,
                                                    Collection<T> items,
                                                    Class<T> itemRef,
                                                    URIBuilder uri)

  - ### Method Detail

    - #### invoke

          public Object invoke(Object proxy,
                               Method method,
                               Object[] args)
                        throws Throwable

      Throws:
        `Throwable`

    - #### fetchPartial

          public org.apache.commons.lang3.tuple.Triple<List<T>,URI,List<ClientAnnotation>> fetchPartial(URI uri,
                                                                                                        Class<T> typeRef)

      Specified by:
        `fetchPartial` in class `AbstractCollectionInvocationHandler<T extends ComplexType<?>,ComplexCollection<T extends ComplexType<?>,?,?>>`

    - #### getClient

          protected EdmEnabledODataClient getClient()

    - #### getContext

          protected Context getContext()

    - #### isSelfMethod

          protected boolean isSelfMethod(Method method)

    - #### invokeSelfMethod

          protected Object invokeSelfMethod(Method method,
                                            Object[] args)
                                     throws Throwable

      Throws:
        `Throwable`

    - #### getComplex

          protected ComplexType<?> getComplex(String name,
                                              ClientValue value,
                                              Class<?> ref,
                                              EntityInvocationHandler handler,
                                              URI baseURI,
                                              boolean collectionItem)

    - #### isDeleted

          protected boolean isDeleted(EntityInvocationHandler handler)

    - #### deleteEntity

          protected <S extends EntityType<?>> void deleteEntity(EntityInvocationHandler handler,
                                                                URI entitySetURI)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(Class<?> ref,
                                                        AbstractService<?> service)

    - #### buildEntitySetURI

          protected static URIBuilder buildEntitySetURI(String entitySetName,
                                                        AbstractService<?> service)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.